Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Interface IBreakpointListener

All Known Subinterfaces:
  IDebugTarget

public interface IBreakpointListener

A breakpoint listener is notified of breakpoint additions, removals, and changes. Listeners register and deregister with the breakpoint manager.

Clients may implement this interface.

See Also:
  `IBreakpointManager`

Method Summary
`void` | `breakpointAdded(IBreakpoint breakpoint)` Notifies this listener that the given breakpoint has been added to the breakpoint manager.
`void` | `breakpointChanged(IBreakpoint breakpoint, IMarkerDelta delta)` Notifies this listener that an attribute of the given breakpoint has changed, as described by the delta.
`void` | `breakpointRemoved(IBreakpoint breakpoint, IMarkerDelta delta)` Notifies this listener that the given breakpoint has been removed from the breakpoint manager.

Method Detail

### breakpointAdded

    public void breakpointAdded(IBreakpoint breakpoint)

  Notifies this listener that the given breakpoint has been added to the breakpoint manager.

  Parameters:
    `breakpoint` - the added breakpoint
  Since:
    2.0

### breakpointRemoved

    public void breakpointRemoved(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

  Notifies this listener that the given breakpoint has been removed from the breakpoint manager. If the given breakpoint has been removed because it has been deleted, the associated marker delta is also provided.

  Parameters:
    `breakpoint` - the removed breakpoint
    `delta` - the associated marker delta, or `null` when the breakpoint is removed from the breakpoint manager without being deleted
  Since:
    2.0
  See Also:
    `IMarkerDelta`

### breakpointChanged

    public void breakpointChanged(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

  Notifies this listener that an attribute of the given breakpoint has changed, as described by the delta.

  Parameters:
    `breakpoint` - the changed breakpoint
    `delta` - the marker delta that describes the changes with the marker associated with the given breakpoint, or `null` when the breakpoint change does not generate a marker delta
  Since:
    2.0
  See Also:
    `IMarkerDelta`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.